Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid
Class CellSelectionModel

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.grid.AbstractSelectionModel
              com.gwtext.client.widgets.grid.CellSelectionModel

    public class CellSelectionModel

extends AbstractSelectionModel

This class provides the basic implementation for cell selection in a grid.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`CellSelectionModel(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`void` | `addListener(CellSelectionModelListener listener)` Adds a Cell Selection model listener.
`void` | `clearSelections()` Clears all selections.
`void` | `clearSelections(boolean disableNotifications)` Clears all selections.
`int[]` | `getSelectedCell()` Returns the currently selected cell.
`void` | `select(int rowIndex, int cellIndex)` Selects a cell.

Methods inherited from class com.gwtext.client.widgets.grid.AbstractSelectionModel
`isLocked, lock, unlock`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellSelectionModel

    public CellSelectionModel(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### clearSelections

    public void clearSelections()

  Clears all selections.

### clearSelections

    public void clearSelections(boolean disableNotifications)

  Clears all selections.

  Parameters:
    `disableNotifications` - true to disable notifications to the `GridView`

### getSelectedCell

    public int[] getSelectedCell()

  Returns the currently selected cell.

  Returns:
    array containing rowIndex, colIndex

### select

    public void select(int rowIndex,
                       int cellIndex)

  Selects a cell.

  Parameters:
    `rowIndex` - row index of cell
    `cellIndex` - column index of cell

### addListener

    public void addListener(CellSelectionModelListener listener)

  Adds a Cell Selection model listener.

  Parameters:
    `listener` - the listener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD